<template>
  <div id="PageSigns">
    <!-- Breadcrumb -->
    <v-container>
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="12">
          <BreadcrumbUtils :items_breadcrumbs_props="items_breadcrumbs" />
        </v-col>
      </v-row>
    </v-container>

    <!-- Title and Back -->
    <v-container class="mb-5">
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="8">
          <h1 class="title-h2-sistem family-lato-black warning--text">
            {{ $t("categories.signs") }}

            <v-btn
              icon
              color="info"
              @click="
                view_video_explanatory_page = !view_video_explanatory_page
              "
            >
              <v-icon>mdi-hand-clap</v-icon>
            </v-btn>
          </h1>
        </v-col>

        <v-col cols="12" xs="12" sm="12" md="4" align="end">
          <v-btn
            @click.stop.prevent="$router.go(-1)"
            class="mb-2 mr-1"
            rounded
            color="info"
            depressed
          >
            <span class="family-openSans-bold">
              {{ $t("buttons.back") }}
            </span>
          </v-btn>
        </v-col>
      </v-row>
    </v-container>

    <!-- Card Explanatory Video -->
    <v-container v-if="view_video_explanatory_page" class="mb-10">
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="12">
          <ExplanatoryVideoCard />
        </v-col>
      </v-row>
    </v-container>

    <!-- Form -->
    <v-container>
      <v-card flat class="rounded-lg">
        <v-card-text>
          <CreateOrEditForm />
        </v-card-text>
      </v-card>
    </v-container>
  </div>
</template>
<script>
import BreadcrumbUtils from "@/components/Breadcrumb/Global/BreadcrumbPortal.vue";
import ExplanatoryVideoCard from "@/components/Cards/Videos/ExplanatoryVideoCard.vue";
import CreateOrEditForm from "@/components/Form/Signs/CreateOrEditSignForm.vue";

export default {
  layout: "dashboard",
  components: {
    BreadcrumbUtils,
    ExplanatoryVideoCard,
    CreateOrEditForm,
  },

  asyncData() {
    return {
      items_breadcrumbs: [
        {
          text: "template.dashboard",
          disabled: false,
          href: "/dashboard",
        },
        {
          text: "categories.signs",
          disabled: false,
          href: "/dashboard/signs",
        },
        {
          text: "template.create",
          disabled: true,
          href: "/dashboard/signs/create",
        },
      ],
    };
  },

  data() {
    return {
      total: 100,
      view_video_explanatory_page: false,
    };
  },
};
</script>
